/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.rehearsal;

import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.Type;
import org.locationtech.jts.geom.Geometry;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/10 10:56
 */
@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder(toBuilder = true)
@FieldNameConstants
@Entity
//@Where(clause = "deleted = false")
@Table(name = "BS_REHEARSAL_PLAN_LOG")
@Comment("演练计划实施数据")
public class RehearsalPlanLog extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -6920108507160621905L;

    @Comment("演练计划")
    @OneToOne
    @JoinColumn(name = "rehearsal_plan_id")
    private RehearsalPlan rehearsalPlan;

    @Comment("开始时间")
    private LocalDateTime beginTime;

    @Comment("结束时间")
    private LocalDateTime endTime;

    @Comment("开始时事故点人数")
    private Integer accidentPeopleNum;

    @Comment("事故点内员工id集")
    private String userIds;

    @Comment("结束时撤离区人数")
    private Integer evacuationPeopleNum;

    @Comment("事故点影响范围的空间信息")
    @Type(type = "jts_geometry")
    @Column(columnDefinition = "geometry")
    private Geometry geometry;
}
